<script>
	export default {
		onLaunch: function(e) {
			// console.log(e)
			console.log('App Launch')
		},
		onShow: function(query) {
			// #ifdef MP-WEIXIN
				if(query.scene!==1011){
					uni.removeStorageSync('qrcode')
					uni.showModal({
						title: '温馨提示！',
						content: '请扫码使用',
						success: function (res) {
							uni.exitMiniProgram({
								success(res){
									console.log(res)
								},
								complete(res){
									console.log(res)
								}
							})
						}
					});
				}			
			// #endif

		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style lang="scss">
	/*每个页面公共css */
	.uni-table{
		&{
			position: relative;
			width: 100%;
			border-radius: 5px;
			background-color: #fff;
			box-sizing: border-box;
			display: table;
			overflow-x: auto;			
		}
		.uni-table-tr{
			display: table-row;
			transition: all 0.3s;
			box-sizing: border-box;			
		}
		.uni-table-th{
			padding: 12px 10px;
			display: table-cell;
			box-sizing: border-box;
			font-size: 14px;
			font-weight: bold;
			color: #909399;
			border-bottom: 1px #ebeef5 solid;
		}
		.uni-table-td{
			display: table-cell;
			padding: 8px 10px;
			font-size: 14px;
			border-bottom: 1px #EBEEF5 solid;
			font-weight: 400;
			color: #606266;
			line-height: 23px;
			box-sizing: border-box;
		}
	}
</style>
